PGREP(1)

NOM
pgrep, pkill - Rechercher ou envoyer un signal à des processus en fonction de leur nom et d'autres propriétés

SYNOPSIS
pgrep [-flvx] [-d délimiteur] [-n|-o] [-P ppid,...] [-g pgrp,...]
    [-s sid,...] [-u euid,...] [-U uid,...] [-G gid,...]
    [-t term,...] [motif] pkill [-signal] [-fvx] [-n|-o] [-P ppid,...] [-g pgrp,...]
    [-s sid,...] [-u euid,...] [-U uid,...] [-G gid,...]
    [-t term,...] [motif]

DESCRIPTION
pgrep cherche parmi les processus en cours d'exécution et affiche sur la sortie standard les PID qui correspondent aux critères de sélection. Par exemple, pgrep -u root sshd affichera seulement les processus nommés sshd appartenant à root. En revanche, pgrep -u root,daemon affichera les processus appartenant à root ou à daemon. pkill enverra le signal indiqué (par défaut SIGTERM) à chaque processus plutôt que de les afficher sur la sortie standard.

OPTIONS

-d délimiteur
    Configurer la chaîne utilisée pour délimiter chaque PID sur la sortie (par défaut, c'est une nouvelle ligne). (pgrep seulement.)

-f  Le motif n'est normalement utilisé que pour comparer au nom du processus. Lorsque -f est présente, la ligne de commande complète est utilisée.

-g pgrp,...
    Ne rechercher que les processus dont les PGID sont indiqués. Le groupe de processus 0 est traduit en le groupe de pgrep ou celui de pkill.

-G gid,...
    Ne rechercher que les processus dont le GID réel est indiqué. On peut utiliser soit la valeur numérique, soit la valeur symbolique.

-l  Afficher le nom du processus et son PID. (pgrep seulement.)

-n  Ne sélectionner que le plus récemment lancé des processus correspondants.

-o  Ne sélectionner que le plus anciennement lancé des processus correspondants.

-P ppid,...
    Ne sélectionner que les processus dont le PID du père est indiqué.

-s sid,...
    Ne sélectionner que les processus dont l'ID session est indiqué. L'ID session 0 est traduit en l'ID session de pgrep ou celui de pkill.

-t term,...
    Ne sélectionner que les processus dont le terminal de contrôle est indiqué. Le nom du terminal doit être spécifié sans le préfixe « /dev/ ».

-u euid,...
    Ne sélectionner que les processus dont l'UID effectif est indiqué. On peut utiliser soit la valeur numérique, soit la valeur symbolique.

-U uid,...
    Ne sélectionner que les processus dont l'UID réel est indiqué. On peut utiliser soit la valeur numérique, soit la valeur symbolique.

-v  Inverser la sélection.

-x  Ne sélectionner que les processus dont le nom (ou la ligne de commande si l'option -f est fournie) correspond exactement au motif.

-signal
    Définir le signal à envoyer à chacun des processus correspondant. On peut utiliser soit la valeur numérique, soit la valeur symbolique du signal. (pkill seulement.)

OPÉRANDES

pattern
    Spécifier une expression rationnelle étendue à faire correspondre aux noms de processus ou aux lignes de commandes.

EXEMPLES
Exemple 1 : Trouver le PID du démon named : unix$ pgrep -u root named Exemple 2 : Forcer syslog à relire son fichier de configuration : unix$ pkill -HUP syslogd Exemple 3 : Donner des informations détaillées sur tous les processus xterm : unix$ ps -fp $(pgrep -d, -x xterm) Exemple 4 : Diminuer la priorité de tous les processus netscape : unix$ renice +4 `pgrep netscape`

CODE DE RETOUR

0   Un ou plusieurs processus correspondaient aux critères.

1   Aucun processus ne correspondait.

2   Erreur de syntaxe sur la ligne de commande.

3   Erreur fatale : plus assez de mémoire, etc.

NOTES
Le nom du processus utilisé pour la correspondance est limité aux 15 caractères présent dans /proc/pid/stat. Utilisez l'option -f pour faire correspondre la ligne de commande complète, /proc/pid/cmdline. Le processus pgrep ou pkill ne se considèrera jamais lui-même comme correspondant aux critères.

BOGUES
Les options -n, -o et -v ne peuvent pas être combinées. Faites moi savoir si vous en avez besoin. Les processus défunts sont affichés.

CONFORMITÉ
pkill et pgrep ont été introduit dans Solaris 7 de Sun. Cette implémentation est pleinement compatible.

AUTEUR
Kjetil Torgrim Homme <kjetilho@ifi.uio.no> Albert Cahalan <albert@users.sf.net> est l'actuel mainteneur de la collection procps. Merci de signaler les bogues (en anglais) à <procps-feedback@lists.sf.net>.

VOIR AUSSI
kill(1), killall(1), ps(1), skill(1), kill(2), regex(7), signal(7)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 19 août 2006 et révisé le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 pgrep ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.